### Method

# Peas ObjectModule create_object

#### Declaration [src]

    GObject*
    peas_object_module_create_object (
      PeasObjectModule* module,
      GType exten_type,
      guint n_parameters,
      GParameter* parameters
    )

#### Description [src]

Creates an object for the `exten_type` passing `n_parameters` and `parameters` to the `PeasFactoryFunc`.

If `module` does not provide a `PeasFactoryFunc` for `exten_type` then `NULL` is returned.

Since libpeas 1.22, `exten_type` can be an Abstract `GType` and not just an Interface `GType`.

This method is not directly available to language bindings.

#### Parameters

`exten_type`

  Type: `GType`

  The `GType` of the extension.

`n_parameters`

  Type: `guint`

  The number of paramteters.

`parameters`

  Type: An array of `GParameter`

  The parameters.

  The length of the array is specified in the `n_parameters` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `GObject`

The created object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.